#
# Conditional build:
%bcond_without	qt	# Qt4 qphotorec application
#
Summary:	Tool to check and undelete partition
Summary(fr.UTF-8):	Outil pour vérifier et restorer des partitions
Summary(pl.UTF-8):	Narzędzie sprawdzające i odzyskujące partycje
Summary(ru.UTF-8):	Программа для проверки и восстановления разделов диска
Name:		testdisk
Version:	7.0
Release:	2
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
# Source0-md5:	f0cfe4ca9dd35f2878b2704251665e9f
Patch0:		%{name}-ac.patch
URL:		http://www.cgsecurity.org/wiki/TestDisk
%{?with_qt:BuildRequires:	QtGui-devel >= 4.0.1}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	e2fsprogs-devel
#BuildRequires:	libcarvpath-devel
BuildRequires:	libcom_err-devel
BuildRequires:	libewf-devel
BuildRequires:	libjpeg-devel
%{?with_qt:BuildRequires:	libstdc++-devel}
BuildRequires:	libuuid-devel
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	ntfs-3g-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	progsreiserfs-devel >= 0.3.1-1.rc8.1
%{?with_qt:BuildRequires:	qt4-build >= 4}
BuildRequires:	zlib-devel
Requires:	uname(release) >= 2.6.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tool to check and undelete partition. Works with the following
partitions:
- BeFS (BeOS)
- BSD disklabel (FreeBSD/OpenBSD/NetBSD)
- CramFS, Compressed File System
- DOS/Windows FAT12, FAT16 and FAT32
- Windows exFAT
- HFS, HFS+ and HFSX, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux ext2/ext3/ext4
- Linux LUKS encrypted partition
- Linux RAID md 0.9/1.0/1.1/1.2 o RAID 1: mirroring o RAID 4: striped
  array with parity device o RAID 5: striped array with distributed
  parity information o RAID 6: striped array with distributed dual
  redundancy information
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Mac partition map
- Novell Storage Services NSS
- NTFS (Windows NT/2000/XP/2003/Vista/2008 )
- ReiserFS 3.5, 3.6 and 4
- Sun Solaris i386 disklabel
- Unix File System UFS and UFS2 (Sun/BSD/...)
- XFS, SGI's Journaled File System

%description -l fr.UTF-8
Outil pour vérifier et restorer des partitions. Fonctionne avec les
partitions suivantes:
- BeFS (BeOS)
- BSD disklabel (FreeBSD/OpenBSD/NetBSD)
- CramFS, Compressed File System
- DOS/Windows FAT12, FAT16 and FAT32
- Windows exFAT
- HFS, HFS+ and HFSX, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux ext2/ext3/ext4
- Linux LUKS encrypted partition
- Linux RAID md 0.9/1.0/1.1/1.2 o RAID 1: mirroring o RAID 4: striped
  array with parity device o RAID 5: striped array with distributed
  parity information o RAID 6: striped array with distributed dual
  redundancy information
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Mac partition map
- Novell Storage Services NSS
- NTFS (Windows NT/2000/XP/2003/Vista/2008)
- ReiserFS 3.5, 3.6 and 4
- Sun Solaris i386 disklabel
- Unix File System UFS and UFS2 (Sun/BSD/...)
- XFS, SGI's Journaled File System

%description -l pl.UTF-8
Narzędzie sprawdzające i odzyskujące partycje. Pracuje z partycjami:
- BeFS (BeOS)
- BSD disklabel (FreeBSD/OpenBSD/NetBSD)
- CramFS, Compressed File System
- DOS/Windows FAT12, FAT16 and FAT32
- Windows exFAT
- HFS, HFS+ and HFSX, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux ext2/ext3/ext4
- Linux LUKS encrypted partition
- Linux RAID md 0.9/1.0/1.1/1.2 o RAID 1: mirroring o RAID 4: striped
  array with parity device o RAID 5: striped array with distributed
  parity information o RAID 6: striped array with distributed dual
  redundancy information
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Mac partition map
- Novell Storage Services NSS
- NTFS (Windows NT/2000/XP/2003/Vista/2008)
- ReiserFS 3.5, 3.6 and 4
- Sun Solaris i386 disklabel
- Unix File System UFS and UFS2 (Sun/BSD/...)
- XFS, SGI's Journaled File System

%description -l ru.UTF-8
Программа для проверки и восстановления разделов диска. Поддерживает
следующие типы разделов:
- BeFS (BeOS)
- BSD disklabel (FreeBSD/OpenBSD/NetBSD)
- CramFS, Compressed File System
- DOS/Windows FAT12, FAT16 and FAT32
- Windows exFAT
- HFS, HFS+ and HFSX, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux ext2/ext3/ext4
- Linux LUKS encrypted partition
- Linux RAID md 0.9/1.0/1.1/1.2 o RAID 1: mirroring o RAID 4: striped
  array with parity device o RAID 5: striped array with distributed
  parity information o RAID 6: striped array with distributed dual
  redundancy information
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Mac partition map
- Novell Storage Services NSS
- NTFS (Windows NT/2000/XP/2003/Vista/2008)
- ReiserFS 3.5, 3.6 and 4
- Sun Solaris i386 disklabel
- Unix File System UFS and UFS2 (Sun/BSD/...)
- XFS, SGI's Journaled File System

%package gui
Summary:	QPhotoRec graphical user interface
Summary(pl.UTF-8):	Graficzny interfejs użytkownika QPhotoRec
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	QtGui >= 4.0.1

%description gui
QPhotoRec graphical user interface.

%description gui -l pl.UTF-8
Graficzny interfejs użytkownika QPhotoRec.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--bindir=%{_sbindir} \
	%{?__enable_disable qt qt} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INFO NEWS README THANKS *.html
%attr(755,root,root) %{_sbindir}/fidentify
%attr(755,root,root) %{_sbindir}/photorec
%attr(755,root,root) %{_sbindir}/testdisk
%{_mandir}/man8/fidentify.8*
%{_mandir}/man8/photorec.8*
%{_mandir}/man8/testdisk.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/fidentify.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/photorec.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/testdisk.8*

%if %{with qt}
%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/qphotorec
%{_desktopdir}/qphotorec.desktop
%{_iconsdir}/hicolor/48x48/apps/qphotorec.png
%{_iconsdir}/hicolor/scalable/apps/qphotorec.svg
%{_mandir}/man8/qphotorec.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/qphotorec.8*
%endif
%changelog
* Tue Mar 22 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/testdisk.git;a=log;h=master

* Tue Mar 22 2016 Jan Palus <atler@pld-linux.org> 11d29ee
- release 2 (by relup.sh)

* Sat Jun 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 79ab1fa
- updated QtGui version

* Tue Jun 02 2015 Łukasz Kieś <kiesiu@pld-linux.org> c156d9a
- updated to 7.0

* Sun Jan 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 2b8b518
- build also qphotorec; release 2

* Sun Jan 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 4c97aaa
- BR: libcom_err-devel libuuid-devel zlib-devel

* Fri Jan 16 2015 Elan Ruusamäe <glen@delfi.ee> 6215986
- up to 6.14, verbose files

* Wed Mar 05 2014 Jan Palus <jan.palus@gmail.com> 99aac69
- release 4 (by relup.sh)

* Mon Feb 04 2013 Jan Rękorajski <baggins@pld-linux.org> b12a122
- release 3 (by relup.sh)

* Thu Feb 16 2012 Andrzej Zawadzki <zawadaa@gmail.com> a22e558
- rel 2 - rebuild with new ntfs-3g

* Tue Feb 07 2012 Andrzej Zawadzki <zawadaa@gmail.com> f4c1532
- up to 6.13, stable

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 39bf1b8
- release 4

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d3ac365
- release 3

* Sun Jul 24 2011 areq <areq@pld-linux.org> 7faf34a
- BR ntfs-3g-devel

* Tue Jun 14 2011 Tomasz Pala <gotar@pld-linux.org> ef750c0
- preserve manpages timestamps

* Tue Jun 14 2011 Tomasz Pala <gotar@pld-linux.org> 2a53148
- upgraded to 6.12

* Thu Jan 28 2010 sparky <sparky@pld-linux.org> 67911d5
- BR: pkgconfig

* Thu Jan 28 2010 amateja <amateja@pld-linux.org> dd3147e
- release 3

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ca731be
- release 2

* Wed May 06 2009 areq <areq@pld-linux.org> cc790bb
- 6.11.3 , rm outdated photorec_611_exif_bound_checking.patch

* Mon Apr 27 2009 lisu <lisu@pld-linux.org> e1baa98
- 6.11.1

